#include "cv.h"
#include "highgui.h"
#include "stdio.h"



IplImage *obr;

void on_mouse( int event, int x, int y, int flags )
//funkce obsluhujici mys
{
   switch( event )//udalosti mysi
    {
    case CV_EVENT_LBUTTONDOWN:
        {
            printf("Stisknuto tlacitko");
			//zapise danou hodnotu na pozici x y v obraze
			//prochazime barevny obraz ten je v pameti ulozen jako jednotlive slozy za sebou BGBBGRBGRBGR
			//jednotlive radky pokracuji v pameti za sebou proto se x musi nasobit tremi, u sedotonoveho obrazu to neplati
			obr->imageData[x*3+y*obr->widthStep]=0; //slozka B
			obr->imageData[x*3+y*obr->widthStep+1]=0; //slozka G
			obr->imageData[x*3+y*obr->widthStep+2]=0; //slozka R
			cvShowImage( "Okno", obr );
        }
        break;
    }
}




int main( int argc, char** argv )
{
	int Hodnota=200;//nastaveni pocatecni hodnoty posuvniku
	int c;


	cvNamedWindow( "Okno",1);//vytvori okno na ktere se odkazujeme pomoci jmena
	
	cvCreateTrackbar( "Posuvnik", "Okno", &Hodnota, 1000, 0 );//vytvoreni posuvniku, jeho hodnota se uklada do promenne int

	cvSetMouseCallback( "Okno", on_mouse );//nastaveni obsluzne funkce mysi nad nasim oknem


	obr = cvLoadImage ( "bmp.bmp",-1);//nacte obraz
	cvShowImage("Okno",obr);//zobrazi obraz do predem vytvoreneho okna
	cvSaveImage( "obr2.jpg",obr);//ulozeni obrazu
	
	for (;;){
		printf("%i\n",Hodnota);//vypis uktualni hodnoty posuvniku
		c = cvWaitKey(10);//cekani na klavesu v milisekundach
        if( c == 27 ) // ceka na stisk escape
            break;
	}
	
	        
	cvReleaseImage(&obr);//uvolneni pameti
	cvDestroyWindow("Okno");
    return 0;
}


